<?xml version="1.0" ?>

<config_file>
  <variable
      key=         "filetype"
      name=        "File Type"
      description= "This the adzapper configuration file."
      type=        "string"
  >adzapper.conf</variable>

  <variable
      key=         "version"
      name=        "Version"
      description= "This is the adzapper configuration file version."
      type=        "string"
  >0.8</variable>

  <variable
      key=         "port"
      name=        "adzapper Port"
      description= "This is the port that adzapper will accept connections on."
      type=        "int"
  >51966</variable>

  <variable
      key=         "http_proxy"
      name=        "HTTP Proxy"
      description= "If you are using a proxy to access the Internet, this is the URL of the proxy."
      type=        "string"
  ></variable>

  <variable
      key=         "replacement_graphic"
      name=        "Replacement Graphic"
      description= "This is the pathname to a replacement graphic that will replace ads. Currently, it must be a GIF."
      type=        "string"
  ></variable>

  <variable
      key=         "pid_file"
      name=        "PID File"
      description= "This is the pathname of a file to write adzapper's PID to (Unix only)."
      type=        "string"
  ></variable>

  <variable
      key=         "zaplet_dirs"
      name=        "Zaplet Directories"
      description= "Pathnames to the directories where zaplets are kept."
      type=        "list"
  >
    <item type= "string">zaplets</item>
  </variable>

  <variable
      key=         "site_zaplet_dir"
      name=        "Site Zaplet Directory"
      description= "This is the pathname to a directory where locally created and modified zaplets are stored."
      type=        "string"
  >~/.adzapper/zaplets</variable>

  <variable
      key=         "accesscontrol"
      name=        "Access Control on/off"
      description= "Access control determines who can use adzapper."
      type=        "string"
  >on</variable>

  <variable
      key=         "acl_order"
      name=        "Access Control Order"
      description= "This describes whether all is permitted or all is denied by default."
      type=        "string"
  >deny,allow</variable>

  <variable
      key=         "acl_deny_from"
      name=        "Access Control Deny-From list"
      description= "This is a list of IP numbers or networks to deny access to."
      type=        "list"
  >
  </variable>

  <variable
      key=         "acl_allow_from"
      name=        "Access Control Allow-From list"
      description= "This is a list of IP numbers or networks to allow access to."
      type=        "list"
  >
    <item type= "string">127.0.0.1</item>
    <item type= "string">192.168.8.</item>
  </variable>

  <variable
      key=         "web_configuration"
      name=        "Web-based Configuration on/off"
      description= "This turns the Web-based Configuration on or off; web-based editing of zaplets is still allowed."
      type=        "string"
  >on</variable>

  <variable
      key=         "web_ui"
      name=        "Web-based User Interface on/off"
      description= "This turns the Web-based User Interface on or off."
      type=        "string"
  >on</variable>

  <variable
      key=         "block_popups_regex"
      name=        "Block-popup regular expression"
      description= "This is the regular expression used to remove javascript popups"
      type=        "string"
  >window\.open\s*(\(.*\n*.*\))+</variable>

</conf_file>
